-- | This module is used to embed resource bundles
-- for use by widgets and applications.
--
-- Typical usage looks like:
--
-- > import Dingo.ResourceBundle
-- >
-- > myResourceDirectory :: ResourceDirectory
-- > myResourceDirectory = $(embedDir "bundles/my-resources")
-- >
-- > myResourceBundle :: ResourceBundle
-- > myResourceBundle = makeResourceBundle myResourceDirecory
--
-- You can then use @myResourceBundle@ as a resource bundle in
-- a widget or supply it in the application settings when starting
-- the Dingo server.
--

module Dingo.ResourceBundle
       ( ResourceBundle
       , ResourceDirectory
       , makeResourceBundle
       , embedDir -- Re-export from embed-file
       ) where

import Dingo.Internal.ResourceBundle.Internal
